FROM golang:1.19-alpine

RUN mkdir -p /go/src/git.tovijaeschke.xyz/Capsule/Backend

COPY ./ /go/src/git.tovijaeschke.xyz/Capsule/Backend

WORKDIR /go/src/git.tovijaeschke.xyz/Capsule/Backend

# For "go test" and development
RUN apk add gcc libc-dev inotify-tools

RUN go mod download

CMD [ "sh", "./dev.sh" ]
